/**
 * Title:       ASETS API (ASE Trading System API)
 * ClassName:   AccountList.java
 * Created:     December 11, 2010
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements AccountList class for ASETS project
 */

package asets.api;

import java.util.ArrayDeque;


public class AccountList implements java.io.Serializable
{
    private ArrayDeque<Account> accountList = null;

    /** AccountList constructor
     *
     */
    public AccountList()
    {
        accountList = new ArrayDeque<Account>();
    }

    public void addAccount(Account account)
    {
        this.accountList.offerLast(account);
    }

    public Account getAccount()
    {
        Account localAccount = null;

        if (!accountList.isEmpty())
        {
            localAccount = accountList.pollFirst();
        }

        return localAccount;
    }

    public ArrayDeque<Account> getAccountList()
    {
        return this.accountList;
    }
}

