/**
 * Title:       ASETS API (ASE Trading System API)
 * ClassName:   ExecutionList.java
 * Created:     December 14, 2009
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements ExecutionList class for ASETS project
 */

package asets.api;

import java.util.ArrayDeque;


public class ExecutionList implements java.io.Serializable
{
    private ArrayDeque<Execution> executionList = null;

    /** ExecutionList constructor
     *
     */
    public ExecutionList()
    {
        executionList = new ArrayDeque<Execution>();
    }

    public void addExecution(Execution execution)
    {
        this.executionList.offerLast(execution);
    }

    public Execution getExecution()
    {
        Execution localExecution = null;
        
        if (!executionList.isEmpty())
        {
            localExecution = executionList.pollFirst();
        }

        return localExecution;
    }

    public ArrayDeque<Execution> getExecutionList()
    {
        return this.executionList;
    }
}
