/**
 * Title:       ASETS API (ASE Trading System API)
 * ClassName:   Instrument.java
 * Created:     January 9, 2010
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements Instrument class for ASETS project
 */

package asets.api;

import java.util.Date;


public class Instrument implements java.io.Serializable
{
    private String symbol;
    private String name;
    private String segment;
    private String type;
    private String mainMarket;
    private String tier;
    private String status;
    private float lastClosePrice;
    private float currentPrice;
    private Date lastUpdate;

    /** Instrument constructor
     *
     */
    public Instrument()
    {
        this.symbol = null;
        this.name = null;
        this.segment = null;
        this.type = null;
        this.mainMarket = null;
        this.tier = null;
        this.status = null;
        this.lastClosePrice = 0;
        this.currentPrice = 0;
        this.lastUpdate = null;
    }

    public String getSymbol()
    {
        return this.symbol;
    }

    public void setSymbol(String symbol)
    {
        this.symbol = symbol;
    }

    public String getName()
    {
        return this.name;
    }

    public void setName(String name)
    {
        this.name = name;
    }

    public String getSegment()
    {
        return this.segment;
    }

    public void setSegment(String segment)
    {
        this.segment = segment;
    }

    public String getType()
    {
        return this.type;
    }

    public void setType(String type)
    {
        this.type = type;
    }

    public String getMainMarket()
    {
        return this.mainMarket;
    }

    public void setMainMarket(String mainMarket)
    {
        this.mainMarket = mainMarket;
    }

    public String getTier()
    {
        return this.tier;
    }

    public void setTier(String tier)
    {
        this.tier = tier;
    }

    public String getStatus()
    {
        return this.status;
    }

    public void setStatus(String status)
    {
        this.status = status;
    }

    public float getLastClosePrice()
    {
        return this.lastClosePrice;
    }

    public void setLastClosePrice(float lastClosePrice)
    {
        this.lastClosePrice = lastClosePrice;
    }

    public float getCurrentPrice()
    {
        return this.currentPrice;
    }

    public void setCurrentPrice(float currentPrice)
    {
        this.currentPrice = currentPrice;
    }

    public Date getLastUpdate()
    {
        return this.lastUpdate;
    }

    public void setLastUpdate(Date lastUpdate)
    {
        this.lastUpdate = lastUpdate;
    }
}