/**
 * Title:       Log Out queue receiver for ASETS project (ASE Trading System)
 * ClassName:   LogOutReceiverNoReply.java
 * Created:     November 22, 2009
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements an LogOut queue receiver within OpenMQ broker by extending AbstractQueueReceiver class
 */

package asets.api;

import javax.jms.*;


public class LogOutReceiverNoReply extends AbstractQueueReceiver
{
    public LogOutReceiverNoReply(String imqAddress, String queueName, String userID)
            throws JMSException, Exception
    {
        super(imqAddress, queueName, userID);
    }

    // Receive messages from LogOut queue
    public void onMessage(Message message)
    {
        try
        {
            if (message instanceof ObjectMessage)
            {
                if (message.getStringProperty("MSG_TYPE").equals(Enums.MessageType.CONTROL.toString()) &&
                        message.getStringProperty("CTRL_TYPE").equals(Enums.ControlType.LOG_OUT_REQUEST.toString()))
                {
                    ObjectMessage objectMessage = (ObjectMessage)message;
                    processLogOutRequest((Control)objectMessage.getObject());
                }
            }
        } catch (JMSException e) {
            e.printStackTrace();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    protected void processLogOutRequest(Control execution) throws Exception
    {

        // TO DO in the the derived class

    }
}
