/**
 * Title:       ASETS API (ASE Trading System API)
 * ClassName:   Order.java
 * Created:     November 14, 2009
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 * 
 * Description: Implements Order class for ASETS project
 */

package asets.api;

import java.util.Date;


public class Order implements java.io.Serializable
{
    private String orderID;
    private int seqNo;
    private String clientOrderID;
    private String userID;
    private Date orderTime;
    private String symbol;
    private Enums.Side orderSide;
    private Enums.OrderType orderType;
    private float orderPrice;
    private long orderQuant;
    private long remainedQuant;
    private Enums.OrderStatus orderStatus;
    private Enums.MarketStatus marketStatus;
    private Date lastUpdate;

    /** Order constructor
     *
     */
    public Order()
    {
        this.orderID = null;
        this.seqNo = 0;
        this.clientOrderID = null;
        this.userID = null;
        this.orderTime = null;
        this.symbol = null;
        this.orderSide = null;
        this.orderType = null;
        this.orderPrice = 0;
        this.orderQuant = 0;
        this.remainedQuant = 0;
        this.orderStatus = null;
        this.marketStatus = null;
        this.lastUpdate = null;
    }

    public String getOrderID()
    {
        return this.orderID;
    }

    public void setOrderID(String orderID)
    {
        this.orderID = orderID;
    }

    public int getSeqNo() {
        return this.seqNo;
    }

    public void setSeqNo(int seqNo) {
        this.seqNo = seqNo;
    }

    public String getClientOrderID() {
        return this.clientOrderID;
    }

    public void setClientOrderID(String clientOrderID) {
        this.clientOrderID = clientOrderID;
    }

    public String getUserID()
    {
        return this.userID;
    }

    public void setUserID(String userID)
    {
        this.userID = userID;
    }

    public Date getOrderTime()
    {
        return this.orderTime;
    }

    public void setOrderTime(Date orderTime)
    {
        this.orderTime = orderTime;
    }

    public String getSymbol()
    {
        return this.symbol;
    }

    public void setSymbol(String symbol)
    {
        this.symbol = symbol;
    }

    public Enums.Side getOrderSide()
    {
        return this.orderSide;
    }

    public void setOrderSide(Enums.Side orderSide)
    {
        this.orderSide = orderSide;
    }

    public Enums.OrderType getOrderType()
    {
        return this.orderType;
    }

    public void setOrderType(Enums.OrderType orderType)
    {
        this.orderType = orderType;
    }

    public float getOrderPrice()
    {
        return this.orderPrice;
    }

    public void setOrderPrice(float orderPrice)
    {
        this.orderPrice = orderPrice;
    }

    public long getOrderQuant()
    {
        return this.orderQuant;
    }

    public void setOrderQuant(long orderQuant)
    {
        this.orderQuant = orderQuant;
    }

    public long getRemainedQuant()
    {
        return this.remainedQuant;
    }

    public void setRemainedQuant(long remainedQuant)
    {
        this.remainedQuant = remainedQuant;
    }

    public Enums.OrderStatus getOrderStatus()
    {
        return this.orderStatus;
    }

    public void setOrderStatus(Enums.OrderStatus orderStatus)
    {
        this.orderStatus = orderStatus;
    }

    public Enums.MarketStatus getMarketStatus()
    {
        return this.marketStatus;
    }

    public void setMarketStatus(Enums.MarketStatus marketStatus)
    {
        this.marketStatus = marketStatus;
    }

    public Date getLastUpdate()
    {
        return this.lastUpdate;
    }

    public void setLastUpdate(Date lastUpdate)
    {
        this.lastUpdate = lastUpdate;
    }

    /*
    @Override
    public String toString() {
        return "Order ID: " + this.orderID +
        "\n - seqNo:        " + this.seqNo +
        "\n - userID:       " + this.userID +
        "\n - orderTime:    " + this.orderTime +
        "\n - symbol:       " + this.symbol +
        "\n - orderSide:    " + this.orderSide +
        "\n - orderType:    " + this.orderType +
        "\n - orderPrice:   " + this.orderPrice +
        "\n - orderQuant:   " + this.orderQuant +
        "\n - remainQuant:  " + this.remainedQuant +
        "\n - orderStatus:  " + this.orderStatus +
        "\n - marketStatus: " + this.marketStatus +
        "\n - lastUpdate:   " + this.lastUpdate;
    }
    */
}