/**
 * Title:       ASETS API (ASE Trading System API)
 * ClassName:   Portfolio.java
 * Created:     November 14, 2009
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements Portfolio class for ASETS project
 */

package asets.api;

import java.util.Date;


public class Portfolio implements java.io.Serializable
{
    private String userID;
    private String symbol;
    private float avgPrice;
    private long totalQuant;
    private Date lastUpdate;

    /** Portfolio constructor
     *
     */
    public Portfolio()
    {
        this.userID = null;
        this.symbol = null;
        this.avgPrice = 0;
        this.totalQuant = 0;
        this.lastUpdate = null;
    }

    public String getUserID()
    {
        return this.userID;
    }

    public void setUserID(String userID)
    {
        this.userID = userID;
    }

     public String getSymbol()
    {
        return this.symbol;
    }

    public void setSymbol(String symbol)
    {
        this.symbol = symbol;
    }

    public float getAvgPrice()
    {
        return this.avgPrice;
    }

    public void setAvgPrice(float avgPrice)
    {
        this.avgPrice = avgPrice;
    }

    public long getTotalQuant()
    {
        return this.totalQuant;
    }

    public void setTotalQuant(long totalQuant)
    {
        this.totalQuant = totalQuant;
    }

    public Date getLastUpdate()
    {
        return this.lastUpdate;
    }

    public void setLastUpdate(Date lastUpdate)
    {
        this.lastUpdate = lastUpdate;
    }
}