/**
 * Title:       ASETS API (ASE Trading System API)
 * ClassName:   PriceList.java
 * Created:     January 5, 2010
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements PriceList class for ASETS project
 */

package asets.api;

import java.util.ArrayDeque;


public class PriceList implements java.io.Serializable
{
    private ArrayDeque<Price> priceList = null;

    /** PriceList constructor
     *
     */
    public PriceList()
    {
        priceList = new ArrayDeque<Price>();
    }

    public void addPrice(Price price)
    {
        this.priceList.offerLast(price);
    }

    public Price getPrice()
    {
        Price localPrice = null;

        if (!priceList.isEmpty())
        {
            localPrice = priceList.pollFirst();
        }

        return localPrice;
    }

    public ArrayDeque<Price> getPriceList()
    {
        return this.priceList;
    }
}

