/**
 * Title:       Price topic publisher for ASETS project (ASE Trading System)
 * ClassName:   PricePublisher.java
 * Created:     January 5, 2010
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements Price topic publisher within OpenMQ broker, by extending AbstractTopicPublisher class
 */

package asets.api;

import javax.jms.*;


public class PricePublisher extends AbstractTopicPublisher
{
    public PricePublisher(String imqAddress, String topicName, String userID)
            throws JMSException, Exception
    {
        super(imqAddress, topicName, userID);
    }

    // Create and publish an Price message
    public void publishPrice(Price price) throws JMSException
    {
        ObjectMessage message = this.getSession().createObjectMessage();
        message.setObject(price);

        message.setStringProperty("MSG_TYPE", Enums.MessageType.PRICE.toString());
        message.setStringProperty("USER_ID", this.getUserID());

        // TO DO in the the derived class

        this.getPublisher().publish(message);
    }
}

