/**
 * Title:       ASETS API (ASE Trading System API)
 * ClassName:   Trade.java
 * Created:     November 14, 2009
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements Trade class for ASETS project
 */

package asets.api;

import java.util.Date;


public class Trade implements java.io.Serializable
{
    private String tradeID;
    private String userID;
    private Date tradeTime;
    private String orderID;
    private String execID;
    private String symbol;
    private Enums.Side tradeSide;
    private float tradePrice;
    private long tradeQuant;
    private double tradeValue;

    /** Trade constructor
     *
     */
    public Trade()
    {
        this.tradeID = null;
        this.userID = null;
        this.tradeTime = null;
        this.orderID = null;
        this.execID = null;
        this.symbol = null;
        this.tradeSide = null;
        this.tradePrice = 0;
        this.tradeQuant = 0;
        this.tradeValue = 0;
    }

    public String getTradeID()
    {
        return this.tradeID;
    }

    public void setTradeID(String tradeID)
    {
        this.tradeID = tradeID;
    }

    public String getUserID()
    {
        return this.userID;
    }

    public void setUserID(String userID)
    {
        this.userID = userID;
    }

    public Date getTradeTime()
    {
        return this.tradeTime;
    }

    public void setTradeTime(Date tradeTime)
    {
        this.tradeTime = tradeTime;
    }

    public String getOrderID()
    {
        return this.orderID;
    }

    public void setOrderID(String orderID)
    {
        this.orderID = orderID;
    }

    public String getExecID()
    {
        return this.execID;
    }

    public void setExecID(String execID)
    {
        this.execID = execID;
    }

    public String getSymbol()
    {
        return this.symbol;
    }

    public void setSymbol(String symbol)
    {
        this.symbol = symbol;
    }

    public Enums.Side getTradeSide()
    {
        return this.tradeSide;
    }

    public void setTradeSide(Enums.Side tradeSide)
    {
        this.tradeSide = tradeSide;
    }

    public float getTradePrice()
    {
        return this.tradePrice;
    }

    public void setTradePrice(float tradePrice)
    {
        this.tradePrice = tradePrice;
    }

    public long getTradeQuant()
    {
        return this.tradeQuant;
    }

    public void setTradeQuant(long tradeQuant)
    {
        this.tradeQuant = tradeQuant;
    }

    public double getTradeValue()
    {
        return this.tradeValue;
    }

    public void setTradeValue(double tradeValue)
    {
        this.tradeValue = tradeValue;
    }

}