/**
 * Title:       ASETS API (ASE Trading System API)
 * ClassName:   User.java
 * Created:     November 14, 2009
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements User class for ASETS project
 */

package asets.api;

import java.util.Date;


public class User implements java.io.Serializable
{
    private String userID;
    private Enums.UserStatus userStatus;
    private Enums.ConnectionStatus connectionStatus;
    private String userName;
    private String password;
    private String userEmail;
    private float cashBalance;
    private Date lastConnection;
    private Date lastUpdate;

    /** User constructor
     *
     */
    public User()
    {
        this.userID = null;
        this.userStatus = null;
        this.connectionStatus = null;
        this.userName = null;
        this.password = null;
        this.userEmail = null;
        this.cashBalance = 50000F;
        this.lastConnection = null;
        this.lastUpdate = null;
    }

    public String getUserID()
    {
        return this.userID;
    }

    public void setUserID(String userID)
    {
        this.userID = userID;
    }

    public Enums.UserStatus getUserStatus()
    {
        return this.userStatus;
    }

    public void setUserStatus(Enums.UserStatus userStatus)
    {
        this.userStatus = userStatus;
    }

    public Enums.ConnectionStatus getConnectionStatus()
    {
        return this.connectionStatus;
    }

    public void setConnectionStatus(Enums.ConnectionStatus connectionStatus)
    {
        this.connectionStatus = connectionStatus;
    }

    public String getUserName()
    {
        return this.userName;
    }

    public void setUserName(String userName)
    {
        this.userName = userName;
    }

    public String getPassword()
    {
        return this.password;
    }

    public void setPassword(String password)
    {
        this.password = password;
    }

    public String getUserEmail()
    {
        return this.userEmail;
    }

    public void setUserEmail(String userEmail)
    {
        this.userEmail = userEmail;
    }

    public float getCashBalance()
    {
        return this.cashBalance;
    }

    public void setCashBalance(float cashBalance)
    {
        this.cashBalance = cashBalance;
    }
    
    public Date getLastConnection()
    {
        return this.lastConnection;
    }

    public void setLastConnection(Date lastConnection)
    {
        this.lastConnection = lastConnection;
    }

    public Date getLastUpdate()
    {
        return this.lastUpdate;
    }

    public void setLastUpdate(Date lastUpdate)
    {
        this.lastUpdate = lastUpdate;
    }
}