/**
 * Title:       ASETS API (ASE Trading System API)
 * ClassName:   RectangleList.java
 * Created:     March 9, 2010
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements RectangleList class for ASETS project
 */

package asets.api.collateral;

import java.util.ArrayDeque;
import card.engine.CARDRectangle;


public class RectangleList implements java.io.Serializable
{
    private ArrayDeque<CARDRectangle> cardRectangleList = null;

    /** RectangleList constructor
     *
     */
    public RectangleList()
    {
        cardRectangleList = new ArrayDeque<CARDRectangle>();
    }

    public void addRectangle(CARDRectangle cardRectangle)
    {
        this.cardRectangleList.offerLast(cardRectangle);
    }

    public CARDRectangle getRectangle()
    {
        CARDRectangle localCARDRectangle = null;

        if (!cardRectangleList.isEmpty())
        {
            localCARDRectangle = cardRectangleList.pollFirst();
        }

        return localCARDRectangle;
    }

    public ArrayDeque<CARDRectangle> getRectangleList()
    {
        return this.cardRectangleList;
    }
}
