/**
 * Title:       Execution subscriber for TUI, within ASETS project (ASE Trading System)
 * ClassName:   TUIExecutionSubscriber.java
 * Created:     November 30, 2009
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements an Execution subscriber by extending ExecutionSubscriber class
 */

package asets.testapi;

import asets.api.*;
import javax.jms.*;


public class TUIExecutionSubscriber extends ExecutionSubscriber
{
    public TUIExecutionSubscriber(String imqAddress, String topicName, String userID)
            throws JMSException, Exception
    {
        super(imqAddress, topicName, userID);
    }

    @Override
    protected void processExecution(Execution execution) throws Exception
    {
        System.out.println("TUI RECEIVED EXECUTION FROM OMS");
        System.out.println("User ID: " + execution.getUserID());
        System.out.println("Symbol: " + execution.getSymbol());
        System.out.println("Side: " + execution.getExecSide().toString());
        System.out.println("Quantity: " + execution.getExecQuant());
        System.out.println("Price: " + execution.getExecPrice());
        System.out.println();
    }
}
