/**
 * Title:       Order subscriber for TUI, within ASETS project (ASE Trading System)
 * ClassName:   TUIOrderSubscriber.java
 * Created:     January 22, 2010
 * Author:      Claudiu Vinte
 * Department:  Economic Informatics, The Bucharest Academy of Economic Studies
 *
 * Description: Implements an Order subscriber by extending OrderSubscriber class
 */

package asets.testapi;

import asets.api.*;
import javax.jms.*;


public class TUIOrderSubscriber extends OrderSubscriber
{
    public TUIOrderSubscriber(String imqAddress, String topicName, String userID)
            throws JMSException, Exception
    {
        super(imqAddress, topicName, userID);
    }

    @Override
    protected void processOrder(Order order) throws Exception
    {
        System.out.println("TUI RECEIVED UPDATE ORDER FROM OMS");
        System.out.println("User ID: " + order.getUserID());
        System.out.println("Symbol: " + order.getSymbol());
        System.out.println("Order Type: " + order.getOrderType().toString());
        System.out.println("Side: " + order.getOrderSide().toString());
        System.out.println("Quantity: " + order.getOrderQuant());
        System.out.println("Price: " + order.getOrderPrice());
        System.out.println("Order Status: " + order.getOrderStatus().toString());
        System.out.println("Market Status: " + order.getMarketStatus().toString());
        System.out.println();
    }
}
